#### D.6.22.1 spectrumnd

Procedure from library `spectrum.lib` (see spectrum_lib).

Usage:
  spectrumnd(f[,1]); poly f

Assume:
  basering has characteristic 0 and local ordering,
  f has isolated singularity at 0 and nondegenerate principal part

Return:

      list S:
        ideal S[1]: spectral numbers in increasing order
        intvec S[2]:
          int S[2][i]: multiplicity of spectral number S[1][i]

Note:
  if a second argument 1 is given,
  no test for a degenerate principal part will be done
  SEE_ALSO: gmssing_lib

Example:

    LIB "spectrum.lib";
    ring R=0,(x,y),ds;
    poly f=x^31+x^6*y^7+x^2*y^12+x^13*y^2+y^29;
    list s=spectrumnd(f);
    size(s[1]);
    ==> 174
    s[1][22];
    ==> -27/58
    s[2][22];
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.